# vim: set shiftwidth=8 tabstop=8 autoindent noexpandtab copyindent:
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Mozilla's layout acceptance tests.
#
# The Initial Developer of the Original Code is the Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2006
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   L. David Baron <dbaron@dbaron.org>, Mozilla Corporation (original author)
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= reftest

ifdef DISABLED_FOR_NOW

LIBRARY_NAME    = reftest
IS_COMPONENT	= 1
MODULE_NAME	= nsReftestModule

MOZILLA_INTERNAL_API = 1

REQUIRES	= \
		xpcom \
		string \
		gfx \
		layout \
		widget \
		dom \
		js \
		locale \
		unicharutil \
		webshell \
		uriloader \
		htmlparser \
		necko \
		view \
		pref \
		docshell \
		xpconnect \
		xuldoc \
		caps \
		editor \
		imglib2 \
		mimetype \
		exthandler \
		uconv \
		intl \
		content \
		thebes \
		zlib \
		$(NULL)

EXTRA_DSO_LIBS = thebes

EXTRA_DSO_LDOPTS = \
	$(LIBS_DIR) \
	$(EXTRA_DSO_LIBS) \
	$(MOZ_COMPONENT_LIBS) \
	$(ZLIB_LIBS) \
	$(NULL)

XPIDLSRCS = nsIReftestHelper.idl

CPPSRCS = nsReftestHelper.cpp

endif

EXTRA_COMPONENTS= \
		reftest-cmdline.js \
		$(NULL)

CHROME_DEPS	= \
		autoconf.js \
		$(NULL)

include $(topsrcdir)/config/rules.mk

autoconf.js: $(DEPTH)/config/autoconf.mk Makefile
	echo 'var gAutoconfVars = {' > $@
	# strip comments, escape \ and ", use only assignment lines that
	# don't end in backslashes and don't have variables, and then
	# convert to JS properties
	cat $< | perl -p -e 's/#.*//;s,\\,\\\\,g;s,",\\",g' | grep '=' | grep -v '\\$$' | grep -v '\$$' | perl -p -e 's/[ \t]*:?= *(.*)/: "\1",/' >> $@
	echo 'dummy_var: null' >> $@ # to avoid trailing comma
	echo '};' >> $@

ALL_TRASH	+= autoconf.js

